#!/usr/bin/ruby

require_relative 'player'
require_relative 'treasure_trove'

module StudioGame
    class BossPlayer < Player
        def found_treasure treasure
            points = treasure.points * 3
            boss_treasure = Treasure.new(treasure.name, points)
            super boss_treasure
        end
    end
end

if __FILE__ == $0
    boss = BossPlayer.new("klutz")  
    
    hammer = Treasure.new(:hammer, 50)
    boss.found_treasure(hammer)
    boss.found_treasure(hammer)
    boss.found_treasure(hammer)
    
    bazooka = Treasure.new(:bazooka, 400)
    boss.found_treasure(bazooka)
    
    boss.each_found_treasure do |treasure|
      puts "#{treasure.points} total #{treasure.name} points"
    end
    puts "#{boss.points} grand total points"
end