#!/usr/bin/ruby


module StudioGame
    Treasure = Struct.new(:name, :points)

    module TreasureTrove
        TREASURES = [
            Treasure.new(:Gold, 200),
            Treasure.new(:Silver, 150),
            Treasure.new(:Bronze, 100),
            Treasure.new(:Platinum, 1000)
        ]
    end
end

if __FILE__ == $0
    items = TreasureTrove::TREASURES
    puts "There are #{items.length} Treasure Items"
    items.each do |item|
        puts "#{item.name} is worth #{item.points} points."
    end
end